summaryrefslogtreecommitdiff
path: root/pst/install-4cd-minimal.sh
diff options
context:
space:
mode:
authornick <myownlittlworld@hotmail.com>2009-05-25 18:26:27 -0500
committernick <myownlittlworld@hotmail.com>2009-05-25 18:26:27 -0500
commit0d14bb784aa524de00c88e9a25bb812c5339cc43 (patch)
tree4e4d23f1a015fe0d6c6a02626f20fb7b9555de28 /pst/install-4cd-minimal.sh
parent6ec9844921a2a465e02c26e0a09344aaff70fe93 (diff)
downloadgemrb-gameinstallers-0d14bb784aa524de00c88e9a25bb812c5339cc43.tar.bz2
gemrb-gameinstallers-0d14bb784aa524de00c88e9a25bb812c5339cc43.zip
Safely escaped all potentially unsafe variables.
And probably a couple already safe ones too.
Diffstat (limited to 'pst/install-4cd-minimal.sh')
-rwxr-xr-xpst/install-4cd-minimal.sh14
1 files changed, 7 insertions, 7 deletions
diff --git a/pst/install-4cd-minimal.sh b/pst/install-4cd-minimal.sh
index 09cd175..8ee12dd 100755
--- a/pst/install-4cd-minimal.sh
+++ b/pst/install-4cd-minimal.sh
@@ -17,8 +17,8 @@
# Installs Planescape: Torment (4CD version) minimal
scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/cd-includes.sh"
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/cd-includes.sh"
parseargs "$@"
@@ -28,13 +28,13 @@ getcd 1 $PST_4CD_MD5 data1.cab
mkdir -p "$TARGETDIR" || die
-unshield -L x $CDMOUNT/data1.cab -d "$TARGETDIR" || die
+unshield -L x "${CDMOUNT}/data1.cab" -d "$TARGETDIR" || die
-cp -R "$TARGETDIR"/program_executable_files/* "$TARGETDIR" || die
-rm -r "$TARGETDIR"/program_executable_files
+cp -R "${TARGETDIR}/program_executable_files/"* "$TARGETDIR" || die
+rm -r "${TARGETDIR}/program_executable_files"
-cp $CDMOUNT/torment.ico "$TARGETDIR" || die
+cp "${CDMOUNT}/torment.ico" "$TARGETDIR" || die
-mkdir -p "$TARGETDIR/save" || die
+mkdir -p "${TARGETDIR}/save" || die
setperms "$TARGETDIR"